Package ghidra.app.util.bin.format.dwarf.expression

# Class DWARFExpressionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
ghidra.app.util.bin.format.dwarf.expression.DWARFExpressionException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `DWARFExpressionUnsupportedOpException`, `DWARFExpressionValueException`

public class DWARFExpressionException extends Exception
A exception that is thrown when dealing with `DWARF expressions` or when they are `evaluated.`

Use this class when you want to pass the `expression` and the location in the expression that caused the problem back up the call chain.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DWARFExpressionException()`
  `DWARFExpressionException(String message)`
  `DWARFExpressionException(String message, DWARFExpression expr, int instrIndex, Throwable cause)`
  `DWARFExpressionException(String message, Throwable cause)`
  `DWARFExpressionException(Throwable cause)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DWARFExpression`
  `getExpression()`
  `int`
  `getInstructionIndex()`
  `String`
  `getMessage()`
  `void`
  `setExpression(DWARFExpression expr)`
  `void`
  `setInstructionIndex(int instrIndex)`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DWARFExpressionException

    public DWARFExpressionException()

  - ### DWARFExpressionException

    public DWARFExpressionException(String message, DWARFExpression expr, int instrIndex, Throwable cause)

  - ### DWARFExpressionException

    public DWARFExpressionException(String message, Throwable cause)

  - ### DWARFExpressionException

    public DWARFExpressionException(String message)

  - ### DWARFExpressionException

    public DWARFExpressionException(Throwable cause)

- ## Method Details

  - ### getExpression

    public DWARFExpression getExpression()

  - ### setExpression

    public void setExpression(DWARFExpression expr)

  - ### setInstructionIndex

    public void setInstructionIndex(int instrIndex)

  - ### getInstructionIndex

    public int getInstructionIndex()

  - ### getMessage

    public String getMessage()
    Overrides:
      `getMessage` in class `Throwable`